Announcement

Collapse
No announcement yet.

Image verification with ImageMagick CAPTCHA not working

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Image verification with ImageMagick CAPTCHA not working

    I am having a problem getting the image verification with ImageMagick CAPTCHA option woking.

    My settings can been seen in the screen shot below.



    We are running FreeBSD. ImageMagick seems to be installed and working OK from the command line. But I don't see the sample image in VB (nor any error messages).

    Any ideas why this might be the case.

    Thanks in advance
    David
    www.wrensoft.com

  • #2
    http://www.passmark.com/forum/image.php?i=im

    Acorroding to this, ImageMagick is not found. double check your settings.

    Comment


    • #3
      We have two web sites with vB. We are trying to get the wrensoft.com site switched over to using ImageMagick first. Then we'll move passmark.com later on.

      When I try
      http://www.wrensoft.com/forum/image.php?i=im
      I just get a very short error message,
      "Abort trap"

      This sounds bad, but it is not the same message as when ImageMagick is not found.

      We are trying to get this set up as it seems the spammers have completely broken the GD CAPTCHA and we are being spammed out of existence.

      Comment


      • #4
        Whats the chmod on your imagemagick binary files/folders

        Comment


        • #5
          It was in the initial screen shot.

          For,
          /usr/www/users/wrensoft/ImageMagick/ImageMagick-6.3.0/bin
          it is,
          drwxr-xr-x

          Comment


          • #6
            As per Zach's IM test link:

            /convert: not found

            This means that the IM 'convert' script is not in the directory specified in the IM path settings.

            Also the path you have indicated is generally not the correct path for executable scripts. These are generally installed in usr/bin, /usr/sbin or /user/local/bin, depending on the OS. When a program is correctly installed, it will generally add the appropriate scrips to one of those directories.
            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
            Change CKEditor Colors to Match Style (for 4.1.4 and above)

            Steve Machol Photography


            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


            Comment


            • #7
              Sigh. As already pointed out, Zach was looking at completely the wrong web site and wrong forum.

              My host has an old version of IM install and doesn't want to upgrade. Which is why I have V6 of IM installed and working in this non standard directory.

              Comment


              • #8
                Alright, how about a link to the compeltely correct website then?

                Comment


                • #9
                  Well the error does indicate that the IM 'convert' file is either not in the directory you specified or is not executable. Since your directory listing does show it, then this means it's not executable on this server.

                  Note: Just because you may have installed this to another directory, does not mean that this OS will run it from that directory. There could be restrictions on this placed by your host. Unfortuantely I do not know how to bypass your host's restrictions and even if I did this could affect your hosting with them.

                  If there a specific reason they refuse to upgrade IM or is it just laziness on their part?
                  Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                  Change CKEditor Colors to Match Style (for 4.1.4 and above)

                  Steve Machol Photography


                  Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                  Comment


                  • #10
                    Double sigh. As already pointed out it is.

                    http://www.wrensoft.com/forum/image.php?i=im

                    I just get a very short error message,
                    "Abort trap"

                    (So as not to block users from signing in I am have temporarily re-selected GD from the Image verification Library drop down. But the path remains the same for IM).

                    Comment


                    • #11
                      ...then this means it's not executable on this server.
                      How can you say this when you can see it being executed in the screen shot?

                      Comment


                      • #12
                        Ahh, my bad. Check this site:

                        http://codex.gallery2.org/index.php?...&printable=yes

                        Abort trap or Segmentation Fault or Cannot execute binary file: Probably means you installed the wrong binaries for your system (e.g. installed the FreeBSD binaries on a Linux system) or you uploaded the binaries in ASCII FTP mode instead of BINARY FTP mode.
                        Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                        Change CKEditor Colors to Match Style (for 4.1.4 and above)

                        Steve Machol Photography


                        Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                        Comment


                        • #13
                          LOL. I might have been tricked !!

                          I just did a telnet to my site and ran convert again with the version flag.

                          Code:
                           
                          [email protected]% convert -version
                          Version: ImageMagick 5.5.7 12/16/05 Q16 [URL="http://www.imagemagick.org/"]http://www.imagemagick.org[/URL]
                          Copyright: Copyright (C) 2003 ImageMagick Studio LLC
                          Then I forced it to run from the local directory.

                          Code:
                          [email protected]% ./convert -version
                          ELF interpreter /libexec/ld-elf.so.1 not found
                          Abort
                          Your support might be too quick to jump to conclusions, but this was clearly my mistake. Thinking the local copy would be in the path before the global copy.

                          My humble apologies.

                          Comment


                          • #14
                            Yep, I should also have read every post in this thread first.
                            Steve Machol, former vBulletin Customer Support Manager (and NOT retired!)
                            Change CKEditor Colors to Match Style (for 4.1.4 and above)

                            Steve Machol Photography


                            Mankind is the only creature smart enough to know its own history, and dumb enough to ignore it.


                            Comment


                            • #15
                              If there a specific reason they refuse to upgrade IM or is it just laziness on their part?
                              Just to close this off. The hosting company is Pair.com. They are really stable as a host, but very conservative. I explained the problem to them, in detail, but their response was, and I quote, "It is not certain at this writing when the next upgrade to the operating system will take place". They are also still running a 4.2 FreeBSD distribution. (V6.x is the current release).

                              Comment

                              widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                              Working...
                              X